package test;

import java.sql.Timestamp;
import java.text.SimpleDateFormat;
import java.util.Arrays;
import java.util.Date;
import java.util.Random;

import com.offcn.TestUnti.MD5keyUtil;
import com.offcn.TestUnti.MyDateUtil;

import sun.net.www.http.HttpClient;

public class test1 {

	
	public static void main(String[] args) {

		
//		System.out.println(MyDateUtil.getTimeDate(5, 0, 0));
		
		
//		String str="1542261620";
//		long timeStamp = 1542348020L;//直接是时间戳1495777335060L
//		long timeStamp = System.currentTimeMillis();  //获取当前时间戳,也可以是你自已给的一个随机的或是别人给你的时间戳(一定是long型的数据)
//		System.out.println(timeStamp);
//		SimpleDateFormat sdf=new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");//这个是你要转成后的时间的格式
//		String sd = sdf.format(new Date(timeStamp));   // 时间戳转换成时间
//		        System.out.println(sd);//打印出你要的时间
		Date date1 = MyDateUtil.getTimeDate(0, 40, 0);
		String timeStamp=date1.getTime()+"";
//		System.out.println(timeStamp);//打印出你要的时间
		String timeStamp2=timeStamp.substring(0, timeStamp.length()-3);
		System.out.println(timeStamp2);//打印出你要的时间
		int timeStamp3=Integer.parseInt(timeStamp2);
		System.out.println(timeStamp3);//打印出你要的时间
		
//		Date date=TimestampToDate(1547101321);
//		SimpleDateFormat sdf=new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");//这个是你要转成后的时间的格式
//		String sd = sdf.format(date);   // 时间戳转换成时间
//		        System.out.println(sd);//打印出你要的时间
	}
	
	/**
	 * 10位时间戳转Date
	 * @param time
	 * @return
	 */
	public static Date TimestampToDate(Integer time){
		long temp = (long)time*1000;
		Timestamp ts = new Timestamp(temp);  
        Date date = new Date();  
        try {  
            date = ts;  
            //System.out.println(date);  
        } catch (Exception e) {  
            e.printStackTrace();  
        }  
        return date;
	}

}

//SimpleDateFormat dateformat = new SimpleDateFormat("yyyyMMddHHmmss");
//String dateStr = dateformat.format(System.currentTimeMillis());
//System.out.println(dateStr);
//System.out.println(new Random().nextInt(90000000)+ 10000000);
